aboutsummaryrefslogtreecommitdiffstats
path: root/kud/hosting_providers/baremetal/aio.sh
diff options
context:
space:
mode:
authorSamuli Silvius <s.silvius@partner.samsung.com>2019-05-30 19:02:11 +0300
committerSamuli Silvius <s.silvius@partner.samsung.com>2019-06-05 11:38:13 +0000
commitf83fd0ccbd0949c882cbb19e7c2ee663bde70eb2 (patch)
tree7f8d3b0b285eb10fe394dadeb310109bff8d7f5b /kud/hosting_providers/baremetal/aio.sh
parent574633e73605bfa58872c1e00a82febe7f7f8101 (diff)
Make aio.sh suitable for CI
aio.sh script currently clones multicloud/k8s repo itself. That is unnessary and makes it impossible to hook k8s repository to CI system where commit changeset is used to define repository files to be tested. This commit will remove cloning of multicloud/k8s repository and also move aio.sh to baremetal folder which seems to be the intended place for it. Issue-ID: MULTICLOUD-629 Change-Id: Ifc54bbc1ec06bc4c3fbbecca7e676d5ffa392d78 Signed-off-by: Samuli Silvius <s.silvius@partner.samsung.com>
Diffstat (limited to 'kud/hosting_providers/baremetal/aio.sh')
-rwxr-xr-xkud/hosting_providers/baremetal/aio.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/kud/hosting_providers/baremetal/aio.sh b/kud/hosting_providers/baremetal/aio.sh
new file mode 100755
index 00000000..5b448183
--- /dev/null
+++ b/kud/hosting_providers/baremetal/aio.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2018
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+if [[ $(whoami) != 'root' ]];then
+ echo "This bash script must be executed as root user"
+ exit 1
+fi
+
+aio_dir=$(cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd)
+cd ${aio_dir}/../vagrant
+
+cat <<EOL > inventory/hosts.ini
+[all]
+localhost
+
+[kube-master]
+localhost
+
+[kube-node]
+localhost
+
+[etcd]
+localhost
+
+[ovn-central]
+localhost
+
+[ovn-controller]
+localhost
+
+[virtlet]
+localhost
+
+[k8s-cluster:children]
+kube-node
+kube-master
+EOL
+
+rm -f ~/.ssh/id_rsa
+echo -e "\n\n\n" | ssh-keygen -t rsa -N ""
+cat ~/.ssh/id_rsa.pub >> ~/.ssh/authorized_keys
+chmod og-wx ~/.ssh/authorized_keys
+
+echo "Enabling nested-virtualization"
+./node.sh
+
+echo "Deploying KUD project"
+./installer.sh | tee kud_installer.log